import { ApiProperty } from '@nestjs/swagger';
import { IsNumber, IsOptional } from 'class-validator';
export class CategoryCreateDto {
  // NOTE: Since the id is auto-inc, so no id for the creation
  // id: number;
  // ----------------------------------------
  @ApiProperty({
    type: String,
    name: 'name',
    description: 'Group name',
    required: true,
  })
  name: string;

  // ----------------------------------------
  @ApiProperty({
    type: Number,
    name: 'displayOrder',
    description: 'Display order',
    required: false,
  })
  @IsNumber()
  @IsOptional()
  displayOrder: number | 0;
}
