import { Logger, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ZgcService } from './zgc.service';
import { ZgcController } from './zgc.controller';
import { Zone } from './entities/zone.entity';
import { Group } from './entities/group.entity';
import { Category } from './entities/category.entity';

@Module({
  imports: [TypeOrmModule.forFeature([Zone, Group, Category])],
  controllers: [ZgcController],
  providers: [Logger, ZgcService],
  // If you want to use the repository outside of the module
  // which imports TypeOrmModule.forFeature, you'll need to re-export the providers generated by it.
  // exports: [TypeOrmModule],
})
export class ZgcModule {}
